This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270305 - Request: "'nil' is not an ActiveModel-compatible object" error when on approve request screen
Request: "'nil' is not an ActiveModel-compatible object" error when on approv...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.4.4
Assigned To: Harpreet Kataria
Taras Lehinevych
: ZStream
Depends On: 1269999
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 10:38 EDT by Chris Pelland
Modified: 2015-12-16 08:19 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1269999
Environment:
Last Closed: 2015-12-16 08:19:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2015-10-16 17:13:03 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7381e3a5ba25c9f5ee4dd9ecdd57e4897627b881

commit 7381e3a5ba25c9f5ee4dd9ecdd57e4897627b881
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Oct 9 11:03:58 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Oct 9 11:11:02 2015 -0400

    Fixed to return correct partial name
    
    Existing code was returning nil as partial name when changing tabs on Provisioning Approve/Deny screens.
    Added spec tests to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269999
    https://bugzilla.redhat.com/show_bug.cgi?id=1270305
    Fixes #4631

 .../application_controller/miq_request_methods.rb  |  3 +-
 .../miq_request_methods_spec.rb                    | 36 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100644 vmdb/spec/controllers/application_controller/miq_request_methods_spec.rb
Comment 3 CFME Bot 2015-10-16 17:13:13 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8b75f5fbda0fb30772d76c485e2dfac93e96a981

commit 8b75f5fbda0fb30772d76c485e2dfac93e96a981
Merge: 2eab531 7381e3a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 16 17:10:00 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Oct 16 17:10:00 2015 -0400

    Merge branch '54z_bz_1270305' into '5.4.z'
    
    Fixed to return correct partial name
    
    Added spec test to verify the fix.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1270009
    https://bugzilla.redhat.com/show_bug.cgi?id=1270305
    Fixes #4644
    
    @dclarizi please review, clean patch was applied.
    Original PR: https://github.com/ManageIQ/manageiq/pull/4757
    
    See merge request !285

 .../application_controller/miq_request_methods.rb  |  3 +-
 .../miq_request_methods_spec.rb                    | 36 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
Comment 5 Taras Lehinevych 2015-12-09 05:42:45 EST
Verified fixed in version 5.4.4.2
Comment 7 errata-xmlrpc 2015-12-16 08:19:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.